Bug 1179681 - connection fails when IP address changes
Summary: connection fails when IP address changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openconnect
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-07 10:28 UTC by David Woodhouse
Modified: 2015-01-30 04:45 UTC (History)
2 users (show)

Fixed In Version: openconnect-7.03-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-14 23:59:28 UTC


Attachments (Terms of Use)

Description David Woodhouse 2015-01-07 10:28:41 UTC
OpenConnect takes measures to ensure that when it reconnects to establish the VPN after authentication, it connects to the *same* server that it authenticated too. Anything else isn't going to work.

Unfortunately, it only does this if it spots more than one result in the DNS lookup, and realises that there's a round-robin. Otherwise, it just continues to use the hostname.

This doesn't work when there's a trick DNS server returning different results each time for load-balancing or other reasons. We need to use the specific IP address *every* time.

Fixed upstream by http://git.infradead.org/users/dwmw2/openconnect.git/commitdiff/4e2ab55b1a

Comment 1 Fedora Update System 2015-01-09 16:56:26 UTC
openconnect-7.03-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openconnect-7.03-1.fc21

Comment 2 Fedora Update System 2015-01-09 17:13:34 UTC
libnm-qt-0.9.8.3-2.fc20, kde-plasma-nm-0.9.3.5-5.fc20, openconnect-7.03-1.fc20, NetworkManager-openconnect-0.9.8.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openconnect-7.03-1.fc20,NetworkManager-openconnect-0.9.8.6-1.fc20,libnm-qt-0.9.8.3-2.fc20,kde-plasma-nm-0.9.3.5-5.fc20

Comment 3 Fedora Update System 2015-01-10 02:58:13 UTC
Package openconnect-7.03-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openconnect-7.03-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0480/openconnect-7.03-1.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-01-14 23:59:28 UTC
openconnect-7.03-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-01-30 04:45:41 UTC
openconnect-7.03-1.fc20, NetworkManager-openconnect-0.9.8.6-1.fc20, libnm-qt-0.9.8.3-3.fc20, kde-plasma-nm-0.9.3.5-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.